aboutsummaryrefslogtreecommitdiff
path: root/tags/0.5.1/templates/openoffice/openoffice.s
diff options
context:
space:
mode:
authorrhatto <rhatto@04377dda-e619-0410-9926-eae83683ac58>2007-07-24 02:01:18 +0000
committerrhatto <rhatto@04377dda-e619-0410-9926-eae83683ac58>2007-07-24 02:01:18 +0000
commitb28b0bd5f13135d64dca024f629100b3e30d47b2 (patch)
treeb1b8b18d0eb02939964fc610eaba3a6b1e8ca4fe /tags/0.5.1/templates/openoffice/openoffice.s
parent2cb431c8236415e4f4cf24e51e8799c7579dc846 (diff)
downloadsimplepkg-b28b0bd5f13135d64dca024f629100b3e30d47b2.tar.gz
simplepkg-b28b0bd5f13135d64dca024f629100b3e30d47b2.tar.bz2
fixed a bug on 0.5 and tagged as 0.5.1
git-svn-id: svn+slack://slack.fluxo.info/var/svn/simplepkg@407 04377dda-e619-0410-9926-eae83683ac58
Diffstat (limited to 'tags/0.5.1/templates/openoffice/openoffice.s')
-rwxr-xr-xtags/0.5.1/templates/openoffice/openoffice.s/post-install.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tags/0.5.1/templates/openoffice/openoffice.s/post-install.sh b/tags/0.5.1/templates/openoffice/openoffice.s/post-install.sh
new file mode 100755
index 0000000..086c7a4
--- /dev/null
+++ b/tags/0.5.1/templates/openoffice/openoffice.s/post-install.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+if [ -z "$2" ]; then
+ echo "usage: `basename $0` <jail-root> <jail-name>"
+ exit 1
+elif [ ! -d "$1/$2" ]; then
+ echo "folder $1/$2 does not exist"
+ exit 1
+fi
+
+echo running post-installation script for $1/$2 jail...
+
+# copia de arquivos
+cp -p /etc/passwd $1/$2/etc/
+cp -p /etc/group $1/$2/etc/
+cp /etc/localtime $1/$2/etc/
+
+# pos-instalacao
+mount -t proc proc $1/$2/proc
+chroot $1/$2 /sbin/ldconfig
+cd $1/$2 && exec ./var/log/scripts/glibc-zoneinfo-*
+umount $1/$2/proc